Package org.eclipse.birt.chart.model.data

# Interface DateTimeDataElement

All Superinterfaces:
  `DataElement`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DateTimeDataElementImpl`

public interface DateTimeDataElement extends DataElement
A representation of the model object 'Date Time Data Element'. This type defines a single element of date/time data.

The following features are supported:

- `Value`

See Also:
  - `DataPackage.getDateTimeDataElement()`

## Method Summary

Modifier and Type
Method
Description
`DateTimeDataElement`
`copyInstance()`
`long`
`getValue()`
Returns the value of the 'Value' attribute.
`com.ibm.icu.util.Calendar`
`getValueAsCalendar()`
A convenient method provided to return the datetime value as a Calendar NOTE: Manually written
`CDateTime`
`getValueAsCDateTime()`
A convenient method provided to return the datetime value as a CDateTime wrapper NOTE: Manually written
`boolean`
`isSetValue()`
Returns whether the value of the ' `Value`' attribute is set.
`void`
`setValue(long value)`
Sets the value of the '`Value`' attribute.
`void`
`unsetValue()`
Unsets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getValue

long getValue()
Returns the value of the 'Value' attribute. Holds a single date value as a long.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `isSetValue()`
  - `unsetValue()`
  - `setValue(long)`
  - `DataPackage.getDateTimeDataElement_Value()`

### setValue

void setValue(long value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `isSetValue()`
  - `unsetValue()`
  - `getValue()`

### unsetValue

void unsetValue()
Unsets the value of the '`Value`' attribute.

See Also:
  - `isSetValue()`
  - `getValue()`
  - `setValue(long)`

### isSetValue

boolean isSetValue()
Returns whether the value of the ' `Value`' attribute is set.

Returns:
  whether the value of the 'Value' attribute is set.
See Also:
  - `unsetValue()`
  - `getValue()`
  - `setValue(long)`

### getValueAsCalendar

com.ibm.icu.util.Calendar getValueAsCalendar()
A convenient method provided to return the datetime value as a Calendar NOTE: Manually written

Returns:

### getValueAsCDateTime

CDateTime getValueAsCDateTime()
A convenient method provided to return the datetime value as a CDateTime wrapper NOTE: Manually written

Returns:

### copyInstance

DateTimeDataElement copyInstance()

Specified by:
  `copyInstance` in interface `DataElement`
Specified by:
  `copyInstance` in interface `IChartObject`